## org.apache.solr.client.solrj.impl
Class LBHttpSolrServer.Rsp

    java.lang.Object
      org.apache.solr.client.solrj.impl.LBHttpSolrServer.Rsp

Enclosing class:
  LBHttpSolrServer

    public static class LBHttpSolrServer.Rsp

extends Object

Field Summary
`protected NamedList<Object>` `rsp`
`protected String` `server`

Constructor Summary
`LBHttpSolrServer.Rsp()`

Method Summary
`NamedList<Object>` `getResponse()` The response from the server
`String` `getServer()` The server that returned the response

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected String server

### rsp

    protected NamedList<Object> rsp

Constructor Detail

### LBHttpSolrServer.Rsp

    public LBHttpSolrServer.Rsp()

Method Detail

### getResponse

    public NamedList<Object> getResponse()

  The response from the server

### getServer

    public String getServer()

  The server that returned the response

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.